X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I'm unable to successfully install "renewed security certificates" from the site below

Posted

http://www.esic.in/ESICInsurance1/ESICInsurancePortal/PortalLogin.aspx

Please look at the link below to view the screenshots

http://sharatblog-myblog.blogspot.in/

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.4 (KHTML, like Gecko) Chrome/22.0.1229.94 Safari/537.4

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10762 solutions 96861 answers

Helpful Reply

I can't get Firefox to install the CCA India 2011 root certificate either, only installing the NIC CA 2011.cer and NIC sub-CA for NIC 2011.cer is possible.
The CCA India 2007.cer can be installed, but nothing happens if I try to import the 2011 version, so that certificate is either in an unsupported format or something else is wrong.

No action about adding the 2011 root certificate seems to have started.